# search

Search for packages

## SYNOPSIS

    npm search [search terms ...]

## DESCRIPTION

Search the registry for packages matching the search terms.

## CONFIGURATION

### description

- Default: true
- Type: Boolean

Show the description in `npm search`

### searchopts

- Default: ""
- Type: String

Space-separated options that are always passed to search.

### searchexclude

- Default: ""
- Type: String

Space-separated options that limit the results from search.

## SEE ALSO

- registry(1)
- config(1)
- view(1)